<?php


function top_travel_pro_style( $args = array() ) {
		$options = top_travel_pro_get_theme_options();
	?>
		<style type="text/css">

			.trail-item a, .trail-item span{
				font-size: 22px;
			}

			<?php if ( $options['social_nav_enable'] == false ): ?>
				ul#primary-menu {
					text-align: right;
				}
			<?php endif ?>

			<?php if ( $options['single_post_hide_banner'] == true ): ?>
				.page header#masthead,
				.single header#masthead {
				    top: 0px !important;

				}
				.page .header-wrapper,
				.single .header-wrapper{
					background-color: #eee;
					padding: 30px;
					margin-top: 100px; 
				}
			<?php endif ?>

			<?php if ( $options['hide_banner'] == true ): ?>
				.archive header#masthead {
				    top: 0px !important;

				}
				.archive .header-wrapper{
					background-color: #eee;
					padding: 30px;
					margin-top: 100px; 
				}
			<?php endif ?>
			

			<?php if ( !empty($options['theme_head_typography']) ): ?>
				h1, h2, h3, h4, h5, h6 {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_head_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_body_typography']) ): ?>
				body {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_body_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_site_title_typography']) ): ?>
				.site-title a {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_title_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_site_description_typography']) ): ?>
				.site-description {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_description_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_menu_typography']) ): ?>
				.menu-item a {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_menu_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_btn_label_typography']) ): ?>
				.btn,
				.more-link a
				 {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_btn_label_typography'])) ?>', sans-serif;
				}
			<?php endif ?>

			/*section colour options*/

			/*slider color option*/

			<?php if( !empty( $options['title_color'] ) ): ?>
			#featured-slider-section h2.entry-title a{
				color: <?php echo esc_attr( $options['title_color'] ) ; ?>
			}
			#featured-slider-section h2.entry-title a:hover{
				color: #ff6633;
			}
			<?php endif; ?>

			<?php if( !empty( $options['title_hover_color'] ) ): ?>
			#featured-slider-section h2.entry-title a:hover{
				color: <?php echo esc_attr( $options['title_hover_color'] ) ; ?>
			}
			<?php endif; ?>

			<?php if( !empty( $options['excerpt_color'] ) ): ?>
			#featured-slider-section div.entry-content p{
				color: <?php echo esc_attr( $options['excerpt_color'] ) ; ?>
			}
			<?php endif; ?>

			<?php if( $options['home_layout'] !=='fourth-design' ){ ?>

			<?php if( !empty( $options['button_color'] ) ): ?>
			#featured-slider-section div.read-more a{
				background-color: <?php echo esc_attr( $options['button_color'] ) ; ?>;
				border-color: <?php echo esc_attr( $options['button_color'] ) ; ?>;
			}
			#featured-slider-section div.read-more a:hover{
				background-color: #000;
				border-color: #000;
			}
			<?php endif; ?>

			<?php if( !empty( $options['button_hover_color'] ) ): ?>
			#featured-slider-section div.read-more a:hover{
				background-color: <?php echo esc_attr( $options['button_hover_color'] ) ; ?>;
				border-color: <?php echo esc_attr( $options['button_hover_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php } ?>

			<?php if( !empty( $options['btn_title_color'] ) ): ?>
			#featured-slider-section div.read-more a,
			.fourth-design #featured-slider-section .btn,
			.fourth-design #featured-slider-section .btn:before{
				color: <?php echo esc_attr( $options['btn_title_color'] ) ; ?>;
			}
			<?php if ($options['home_layout'] == 'fourth-design'): ?>
				.fourth-design #featured-slider-section .btn:before{
					background-color: <?php echo esc_attr( $options['btn_title_color'] ) ; ?>;
				}
			<?php endif ?>
			
			<?php endif; ?>

			/*end slider color option*/

			/*services color option*/

			<?php if( !empty( $options['section_subtitle_color'] ) ): ?>
			#our-services p.section-subtitle{
				color: <?php echo esc_attr( $options['section_subtitle_color'] ) ; ?>
			}
			<?php endif; ?>

			<?php if( !empty( $options['section_title_color'] ) ): ?>
			#our-services h2.section-title{
				color: <?php echo esc_attr( $options['section_title_color'] ) ; ?>
			}
			<?php endif; ?>

			<?php if( !empty( $options['service_title_color'] ) ): ?>
			#our-services article h2.entry-title a,
			.ninth-design #our-services .entry-title a{
				color: <?php echo esc_attr( $options['service_title_color'] ) ; ?>;
			}
			#our-services article h2.entry-title a:hover{
				color: #ff6633;
			}
			<?php endif; ?>

			<?php if( !empty( $options['service_hover_title_color'] ) ): ?>
			
			#our-services article h2.entry-title a:hover{
				color: <?php echo esc_attr( $options['service_hover_title_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['service_description_color'] ) ): ?>
			
			#our-services article div.entry-content p{
				color: <?php echo esc_attr( $options['service_description_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['service_icon_color'] ) ): ?>
			#our-services article div.icon-container a i{
				color: <?php echo esc_attr( $options['service_icon_color'] ) ; ?>;
			}
			#our-services article div.icon-container a i:hover{
				color: #000;
			}
			<?php endif; ?>

			<?php if( !empty( $options['service_icon_hover_color'] ) ): ?>
			#our-services article div.icon-container a i:hover{
				color: <?php echo esc_attr( $options['service_icon_hover_color'] ) ; ?>;;
			}
			<?php endif; ?>
			
			<?php if( !empty( $options['service_button_color'] ) ): ?>
			#our-services .read-more a {
				background-color: <?php echo esc_attr( $options['service_button_color'] ) ; ?>;
				border-color: <?php echo esc_attr( $options['service_button_color'] ) ; ?>;
			}
			#our-services .read-more a:hover{
				background-color: #000;
				border-color: #000;
			}
			<?php endif; ?>

			<?php if( !empty( $options['service_button_hover_color'] ) ): ?>
			#our-services .read-more a:hover{
				background-color: <?php echo esc_attr( $options['service_button_hover_color'] ) ; ?>;
				border-color: <?php echo esc_attr( $options['service_button_hover_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['service_btn_text_color'] ) ): ?>
			#our-services .read-more a {
				color: <?php echo esc_attr( $options['service_btn_text_color'] ) ; ?>;
			}
			<?php endif; ?>

			/*end services color option*/

			/*about color option*/

			<?php if( !empty( $options['about_subtitle_color'] ) ): ?>
			#about-us p.section-subtitle{
				color: <?php echo esc_attr( $options['about_subtitle_color'] ) ; ?>
			}
			<?php endif; ?>

			<?php if( !empty( $options['about_title_color'] ) ): ?>
			#about-us h2.section-title a{
				color: <?php echo esc_attr( $options['about_title_color'] ) ; ?>;
			}
			#about-us h2.section-title a:hover{
				color: #ff6633;
			}
			<?php endif; ?>

			<?php if( !empty( $options['about_hover_title_color'] ) ): ?>
			#about-us h2.section-title a:hover{
				color: <?php echo esc_attr( $options['about_hover_title_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['about_description_color'] ) ): ?>
			#about-us div.entry-content p{
				color: <?php echo esc_attr( $options['about_description_color'] ) ; ?>
			}
			<?php endif; ?>

			<?php if( $options['home_layout'] !== 'fourth-design' ){ ?>

			<?php if( !empty( $options['about_button_color'] ) ): ?>
			#about-us .read-more a {
				background-color: <?php echo esc_attr( $options['about_button_color'] ) ; ?>;
				border-color: <?php echo esc_attr( $options['about_button_color'] ) ; ?>;
			}
			#about-us .read-more a:hover{
				background-color: #000;
				border-color: #000;
			}
			<?php endif; ?>

			<?php if( !empty( $options['about_button_hover_color'] ) ): ?>
			#about-us .read-more a:hover{
				background-color: <?php echo esc_attr( $options['about_button_hover_color'] ) ; ?>;
				border-color: <?php echo esc_attr( $options['about_button_hover_color'] ) ; ?>;
			}
			<?php endif; ?>
			<?php } ?>

			<?php if( !empty( $options['about_btn_text_color'] ) ): ?>
			#about-us div.read-more a, .fourth-design #about-us .btn,
			.fourth-design #about-us .btn:before{
				color: <?php echo esc_attr( $options['about_btn_text_color'] ) ; ?>;
			}
			<?php if ($options['home_layout'] == 'fourth-design'): ?>
				.fourth-design #about-us .btn:before{
					background-color: <?php echo esc_attr( $options['about_btn_text_color'] ) ; ?>;
				}
			<?php endif ?>
			
			<?php endif; ?>

			/*end about color option*/

			/*popular destination color option*/

			<?php if( !empty( $options['popular_destination_title_color'] ) ): ?>
			#popular-destinations h2.entry-title a{
				color: <?php echo esc_attr( $options['popular_destination_title_color'] ) ; ?>;
			}
			#popular-destinations h2.entry-title a:hover{
				color: #ff6633;
			}
			<?php endif; ?>

			<?php if( !empty( $options['popular_destination_hover_title_color'] ) ): ?>
			#popular-destinations h2.entry-title a:hover{
				color: <?php echo esc_attr( $options['popular_destination_hover_title_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['popular_destination_description_color'] ) ): ?>
			
			#popular-destinations div.entry-content p{
				color: <?php echo esc_attr( $options['popular_destination_description_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['popular_destination_btn_text_color'] ) ): ?>
			
			#popular-destinations .more-link a, 
			#popular-destinations .more-link a svg {
				color: <?php echo esc_attr( $options['popular_destination_btn_text_color'] ) ; ?>;
				fill: <?php echo esc_attr( $options['popular_destination_btn_text_color'] ) ; ?>;
			}
			#popular-destinations .more-link a:hover, 
			#popular-destinations .more-link a:focus,
			#popular-destinations .more-link a:hover svg, 
			#popular-destinations .more-link a:focus svg {
				color: #000;
				fill: #000;
			}
			<?php endif; ?>

			<?php if( !empty( $options['popular_destination_button_text_hover_color'] ) ): ?>
			
			#popular-destinations .more-link a:hover, 
			#popular-destinations .more-link a:focus,
			#popular-destinations .more-link a:hover svg, 
			#popular-destinations .more-link a:focus svg {
				color: <?php echo esc_attr( $options['popular_destination_button_text_hover_color'] ) ; ?>;
				fill: <?php echo esc_attr( $options['popular_destination_button_text_hover_color'] ) ; ?>;
			}
			<?php endif; ?>

			/*end popular destination color option*/

			/*package color option*/

			<?php if( !empty( $options['package_section_subtitle_color'] ) ): ?>
			#recommended-hotels p.section-subtitle,
			 #recommended-hotels .slick-filtering ul li.active a{
				color: <?php echo esc_attr( $options['package_section_subtitle_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['package_section_title_color'] ) ): ?>
			#recommended-hotels h2.section-title,
			#recommended-hotels .slick-filtering a{
				color: <?php echo esc_attr( $options['package_section_title_color'] ) ; ?>;
			}
		<?php endif; ?>

			<?php if( !empty( $options['package_title_color'] ) ): ?>
			#recommended-hotels h2.entry-title a{
				color: <?php echo esc_attr( $options['package_title_color'] ) ; ?>;
			}
			#recommended-hotels h2.entry-title a:hover{
				color: #ff6633;
			}
		<?php endif; ?>

		<?php if( !empty( $options['package_hover_title_color'] ) ): ?>
				#recommended-hotels h2.entry-title a:hover{
				color: <?php echo esc_attr( $options['package_hover_title_color'] ) ; ?>;
			}
		<?php endif; ?>

		<?php if( !empty( $options['package_description_color'] ) ): ?>
			#recommended-hotels div.entry-content p{
				color: <?php echo esc_attr( $options['package_description_color'] ) ; ?>;
			}
		<?php endif; ?>

		<?php if( !empty( $options['package_button_color'] ) ): ?>
			#recommended-hotels div.read-more a{
				background-color: <?php echo esc_attr( $options['package_button_color'] ) ; ?>;
				border-color: <?php echo esc_attr( $options['package_button_color'] ) ; ?>;
			}
			#recommended-hotels div.read-more a:hover{
				background-color: #000;
				border-color: #000;
			}
			<?php endif; ?>

			<?php if( !empty( $options['package_button_hover_color'] ) ): ?>
			#recommended-hotels div.read-more a:hover{
				background-color: <?php echo esc_attr( $options['package_button_hover_color'] ) ; ?>;
				border-color: <?php echo esc_attr( $options['package_button_hover_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['package_btn_text_color'] ) ): ?>
			#recommended-hotels div.read-more a,
			#recommended-hotels .trip-price{
				color: <?php echo esc_attr( $options['package_btn_text_color'] ) ; ?>;
			}
			<?php endif; ?>

			/*end package destination color option*/

			/*testimonial color option*/
			<?php if( !empty( $options['testimonial_section_subtitle_color'] ) ): ?>
			#testimonial-section p.section-subtitle{
				color: <?php echo esc_attr( $options['testimonial_section_subtitle_color'] ) ; ?>;
			}
		<?php endif; ?>

		<?php if( !empty( $options['testimonial_section_title_color'] ) ): ?>
			#testimonial-section h2.section-title{
				color: <?php echo esc_attr( $options['testimonial_section_title_color'] ) ; ?>;
			}
		<?php endif; ?>

		<?php if( !empty( $options['testimonial_title_color'] ) ): ?>
			#testimonial-section h2.entry-title a,
			#testimonial-section .client-name span{
				color: <?php echo esc_attr( $options['testimonial_title_color'] ) ; ?>;
			}
			#testimonial-section h2.entry-title a:hover{
				color: #ff6633;
			}
		<?php endif; ?>

		<?php if( !empty( $options['testimonial_hover_title_color'] ) ): ?>
			#testimonial-section h2.entry-title a:hover{
				color: <?php echo esc_attr( $options['testimonial_hover_title_color'] ) ; ?>;
			}
		<?php endif; ?>

		<?php if( !empty( $options['testimonial_description_color'] ) ): ?>
			#testimonial-section .entry-content p,
			#testimonial-section .client-name p.position{
				color: <?php echo esc_attr( $options['testimonial_description_color'] ) ; ?>;
			}
		<?php endif; ?>
			/*end testimonial color option*/

			/* counter color option*/
			<?php if( !empty( $options['counter_value_color'] ) ): ?>
			#counter-section h2.counter-value{
				color: <?php echo esc_attr( $options['counter_value_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['counter_label_color'] ) ): ?>
			#counter-section h3.counter-title{
				color: <?php echo esc_attr( $options['counter_label_color'] ) ; ?>;
			}
			<?php endif; ?>
			/*end counter color option*/

			/*subscription color option*/
			<?php if( !empty( $options['subscription_subtitle_color'] ) ): ?>
			#subscribe-now .section-header p.section-subtitle{
				color: <?php echo esc_attr( $options['subscription_subtitle_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['subscription_title_color'] ) ): ?>
			#subscribe-now .section-header h2.section-title{
				color: <?php echo esc_attr( $options['subscription_title_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['subscription_button_color'] ) ): ?>
			#subscribe-now div.subscribe-form-wrapper p{
				background-color: <?php echo esc_attr( $options['subscription_button_color'] ) ; ?>;
				border-color: <?php echo esc_attr( $options['subscription_button_color'] ) ; ?>;
			}
			#subscribe-now div.subscribe-form-wrapper p:hover{
				background-color: #000;
				border-color: #000;
			}
			<?php endif; ?>

			<?php if( !empty( $options['subscription_button_hover_color'] ) ): ?>
			#subscribe-now div.subscribe-form-wrapper p:hover{
				background-color: <?php echo esc_attr( $options['subscription_button_hover_color'] ) ; ?>;
				border-color: <?php echo esc_attr( $options['subscription_button_hover_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['subscription_btn_text_color'] ) ): ?>
			#subscribe-now div.subscribe-form-wrapper p{
				color: <?php echo esc_attr( $options['subscription_btn_text_color'] ) ; ?>;
			}
			<?php endif; ?>
			/*end subscription color option*/

			/*topbar section*/
			<?php if( !empty( $options['topbar_bg_color'] ) ): ?>
			#top-bar{
				background-color: <?php echo esc_attr( $options['topbar_bg_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['topbar_text_color'] ) ): ?>
			#top-bar .contact-info li,
			#top-bar .contact-info svg,
			#top-bar a{
				color: <?php echo esc_attr( $options['topbar_text_color'] ) ; ?>;
				fill: <?php echo esc_attr( $options['topbar_text_color'] ) ; ?>;
			}
			#top-bar a:hover{
				color: #738f9d;
			}
			<?php endif; ?>

			<?php if( !empty( $options['topbar_text_hover_color'] ) ): ?>
			#top-bar a:hover{
				color: <?php echo esc_attr( $options['topbar_text_hover_color'] ) ; ?>;
			}
			<?php endif; ?>
			/*end topbar section*/

			/*team section*/
			<?php if( !empty( $options['package_social_icon_color'] ) ): ?>
			#recommended-hotels .social-icons li a svg{
				fill: <?php echo esc_attr( $options['package_social_icon_color'] ) ; ?>;
			}
			#recommended-hotels .social-icons li a:hover svg,
			.social-icons li a:focus svg {
				fill: #fff;
			}
			<?php endif; ?>
			/*end team section*/

			/*gallery section*/
			<?php if( !empty( $options['gallery_section_subtitle_color'] ) ): ?>
			#our-gallery p.section-subtitle{
				color: <?php echo esc_attr( $options['gallery_section_subtitle_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['gallery_section_title_color'] ) ): ?>
			#our-gallery h2.section-title{
				color: <?php echo esc_attr( $options['gallery_section_title_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['gallery_title_color'] ) ): ?>
			#our-gallery .entry-title a{
				color: <?php echo esc_attr( $options['gallery_title_color'] ) ; ?>;
			}
			#our-gallery .entry-title a:hover{
				color: '#666';
			}
			<?php endif; ?>

			<?php if( !empty( $options['gallery_hover_title_color'] ) ): ?>
			#our-gallery .entry-title a:hover{
				color: <?php echo esc_attr( $options['gallery_hover_title_color'] ) ; ?>;
			}
			<?php endif; ?>
			/*end gallery section*/

			/*latest products section*/

			<?php if( !empty( $options['latest_products_title_color'] ) ): ?>
			#latest-products .entry-title{
				color: <?php echo esc_attr( $options['latest_products_title_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['latest_products_section_title_box_color'] ) ): ?>
			#latest-products .entry-container{
				background-color: <?php echo esc_attr( $options['latest_products_section_title_box_color'] ) ; ?>;
			}
			<?php endif; ?>

			/*end latest products section*/

			/*popular products section*/
			<?php if( !empty( $options['popular_products_section_title_color'] ) ): ?>
			.sixth-design #popular-products .section-title{
				color: <?php echo esc_attr( $options['popular_products_section_title_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['popular_products_section_description_color'] ) ): ?>
			.sixth-design #popular-products .subtitle{
				color: <?php echo esc_attr( $options['popular_products_section_description_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['popular_products_title_color'] ) ): ?>
			.woocommerce #popular-products ul.products li.product .woocommerce-loop-product__title,
			.woocommerce #popular-products ul.products li.product .price{
				color: <?php echo esc_attr( $options['popular_products_title_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['popular_products_button_color'] ) ): ?>
			.woocommerce #popular-products ul.products li.product .button{
				background-color: <?php echo esc_attr( $options['popular_products_button_color'] ) ; ?>;
				border-color: <?php echo esc_attr( $options['popular_products_button_color'] ) ; ?>;
			}
			.woocommerce #popular-products ul.products li.product .button:hover{
				background-color: #000;
				border-color: #000;
			}
			<?php endif; ?>

			<?php if( !empty( $options['popular_products_button_hover_color'] ) ): ?>
			.woocommerce #popular-products ul.products li.product .button:hover{
				background-color: <?php echo esc_attr( $options['popular_products_button_hover_color'] ) ; ?>;
				border-color: <?php echo esc_attr( $options['popular_products_button_hover_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['popular_products_btn_text_color'] ) ): ?>
			.woocommerce #popular-products ul.products li.product .button{
				color: <?php echo esc_attr( $options['popular_products_btn_text_color'] ) ; ?>;
			}
			<?php endif; ?>

			/*end popular products section*/

			/* popular collection section*/

			<?php if( !empty( $options['collection_section_title_color'] ) ): ?>
			.sixth-design #products-collection .section-title{
				color: <?php echo esc_attr( $options['collection_section_title_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['collection_section_description_color'] ) ): ?>
			.sixth-design #products-collection .subtitle{
				color: <?php echo esc_attr( $options['collection_section_description_color'] ) ; ?>;
			}
			<?php endif; ?>

			/*end popular collection section*/

			/*recent section*/

			<?php if( !empty( $options['recent_products_section_title_color'] ) ): ?>
			.sixth-design #recent-products .section-title{
				color: <?php echo esc_attr( $options['recent_products_section_title_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['recent_products_section_description_color'] ) ): ?>
			.sixth-design #recent-products p.subtitle{
				color: <?php echo esc_attr( $options['recent_products_section_description_color'] ) ; ?>;
			}
			<?php endif; ?>

				<?php if( !empty( $options['recent_products_title_color'] ) ): ?>
			.woocommerce #recent-products ul.products li.product .woocommerce-loop-product__title,
			.woocommerce #recent-products ul.products li.product .price{
				color: <?php echo esc_attr( $options['recent_products_title_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['recent_products_button_color'] ) ): ?>
			.woocommerce #recent-products ul.products li.product .button{
				background-color: <?php echo esc_attr( $options['recent_products_button_color'] ) ; ?>;
				border-color: <?php echo esc_attr( $options['recent_products_button_color'] ) ; ?>;
			}
			.woocommerce #recent-products ul.products li.product .button:hover{
				background-color: #000;
				border-color: #000;
			}
			<?php endif; ?>

			<?php if( !empty( $options['recent_products_button_hover_color'] ) ): ?>
			.woocommerce #recent-products ul.products li.product .button:hover{
				background-color: <?php echo esc_attr( $options['recent_products_button_hover_color'] ) ; ?>;
				border-color: <?php echo esc_attr( $options['recent_products_button_hover_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['recent_products_btn_text_color'] ) ): ?>
			.woocommerce #recent-products ul.products li.product .button{
				color: <?php echo esc_attr( $options['recent_products_btn_text_color'] ) ; ?>;
			}
			<?php endif; ?>

			/*end recent section*/

			/*trending product section*/
			<?php if( !empty( $options['trending_product_section_title_color'] ) ): ?>
			#trending-products h2.category-title,
			#trending-products .price{
				color: <?php echo esc_attr( $options['trending_product_section_title_color'] ) ; ?>;
			}
			<?php endif; ?>

			<?php if( !empty( $options['trending_product_post_title_color'] ) ): ?>
			#trending-products .entry-title a{
				color: <?php echo esc_attr( $options['trending_product_post_title_color'] ) ; ?>;
			}
			#trending-products .entry-title a:hover{
				color: #ff6633;
			}
		<?php endif; ?>

		<?php if( !empty( $options['trending_product_hover_title_color'] ) ): ?>
			#trending-products .entry-title a:hover{
				color: <?php echo esc_attr( $options['trending_product_hover_title_color'] ) ; ?>;
			}
		<?php endif; ?>
			/*end trending product section*/


			<?php if( $options['hide_banner'] == 'true' ) :?>

			.blog .header-wrapper,
			.archive .header-wrapper {
			    background-color: #c7c6c6;
			    padding: 30px;
			    margin-top: 150px;
			}

			<?php endif; ?>

			<?php if( $options['single_post_hide_banner'] == 'true' ) :?>

			.single .header-wrapper {
			    background-color: #c7c6c6;
			    padding: 30px;
			    margin-top: 150px;
			}

			<?php endif; ?>




		</style>
		
<?php }

add_action( 'wp_head', 'top_travel_pro_style' );