<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Top Travel Pro
* @since Top Travel Pro 1.0.0
*/

if ( ! function_exists( 'top_travel_pro_validate_long_excerpt' ) ) :
  function top_travel_pro_validate_long_excerpt( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 5 ) {
		 $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'top-travel-pro' ) );
	 } elseif ( $value > 100 ) {
		 $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_slider_count' ) ) :
  function top_travel_pro_validate_slider_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'top-travel-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_featured_count' ) ) :
  function top_travel_pro_validate_featured_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'top-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_popular_destination_count' ) ) :
  function top_travel_pro_validate_popular_destination_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'top-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_traveler_choice_count' ) ) :
  function top_travel_pro_validate_traveler_choice_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'top-travel-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_service_count' ) ) :
  function top_travel_pro_validate_service_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'top-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_blog_count' ) ) :
  function top_travel_pro_validate_blog_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 2 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'top-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_discover_places_count' ) ) :
  function top_travel_pro_validate_discover_places_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'top-travel-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_testimonial_count' ) ) :
  function top_travel_pro_validate_testimonial_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'top-travel-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_popular_count' ) ) :
  function top_travel_pro_validate_popular_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'top-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_recent_count' ) ) :
  function top_travel_pro_validate_recent_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'top-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_most_view_count' ) ) :
  function top_travel_pro_validate_most_view_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 2 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'top-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_popular_product_count' ) ) :
  function top_travel_pro_validate_popular_product_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 4 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'top-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_trending_count' ) ) :
  function top_travel_pro_validate_trending_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'top-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_popular_posts_count' ) ) :
  function top_travel_pro_validate_popular_posts_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 5 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 5', 'top-travel-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_most_viewed_count' ) ) :
  function top_travel_pro_validate_most_viewed_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 2 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'top-travel-pro' ) );
	 } elseif ( $value > 6 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_single_column_count' ) ) :
  function top_travel_pro_validate_single_column_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 2 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'top-travel-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_latest_posts_count' ) ) :
  function top_travel_pro_validate_latest_posts_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'top-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_popular_products_count' ) ) :
  function top_travel_pro_validate_popular_products_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'top-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_recent_products_count' ) ) :
  function top_travel_pro_validate_recent_products_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'top-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_trending_product_count' ) ) :
  function top_travel_pro_validate_trending_product_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'top-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_gallery_count' ) ) :
  function top_travel_pro_validate_gallery_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'top-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'top_travel_pro_validate_latest_products_count' ) ) :
  function top_travel_pro_validate_latest_products_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'top-travel-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'top-travel-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'top-travel-pro' ) );
	 }
	 return $validity;
  }
endif;
